package com.lesingle.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 可见性枚举
 */
@Getter
@AllArgsConstructor
public enum Visibility {

    PUBLIC("public", "公开"),
    DESIGNATED("designated", "指定"),
    INTERNAL("internal", "内部"),
    PRIVATE("private", "私有");

    private final String value;
    private final String description;
}
